<?php
/*
Plugin Name: Overlay Photo Identifier
Version: 1.0.0
Description: Adds a small overlay with the photo identifier on the photo.
Plugin URI: [URL de tu sitio o repositorio]
Author: [Tu nombre o alias]
*/

defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');

// Hook to add our custom overlay on the photo page
add_event_handler('loc_end_picture', 'overlay_photo_identifier');

function overlay_photo_identifier()
{
    global $template, $page;

    // Check if we are on a photo page
    if ($page['page'] !== 'picture') {
        return;
    }

    // Get the current photo ID
    $photo_id = $page['image_id'];

    // Get the photo identifier using the Piwigo-show_photo_identifier plugin's function
    $photo_identifier = show_photo_identifier_get($photo_id);

    // Check if we have a valid identifier
    if (empty($photo_identifier)) {
        return;
    }

    // Prepare the HTML for the overlay
    $overlay_html = '<div class="photo-identifier-overlay">';
    $overlay_html .= '<span class="photo-identifier-text">' . $photo_identifier . '</span>';
    $overlay_html .= '</div>';

    // Add the overlay HTML to the template
    $template->assign(array(
        'PHOTO_IDENTIFIER_OVERLAY' => $overlay_html,
    ));
}
